[zfs-discuss] Re: Installing from PPA

Erik Koennecke ekoennecke at googlemail.com
Fri Oct 14 03:42:23 EDT 2011


I also ran into this several times on a non-English system. An
alternative if you don't want to mess with the language environment
(assuming you want to keep it "foreign") is to just comment out the
line 80 in the python script /usr/bin/apt-add-repository. Drawback is
that you are not shown the description anymore (small price to pay
IMHO).

--
Erik Koennecke

On 14 Okt., 00:34, Darik Horn <dajh... at vanadac.com> wrote:
> On 10/13/2011 11:53 AM, Joel Weinberger wrote:
>
>
>
>
>
>
>
>
>
> > I was installing a new version of Ubuntu 11.10 today, and I was
> > following the usual Ubuntu ZFS package install directions:
> >https://github.com/dajhorn/pkg-zfs/wiki/HOWTO-install-Ubuntu-to-a-Nat...
> > as I have several times in the past. However, when I got to the step:
> > |apt-add-repository ppa:zfs-native/stable
> > |I got the following error:
>
> >    ZFS Stable Releases for Ubuntu
> > Traceback (most recent call last):
> >     File "/usr/bin/apt-add-repository", line 80, in <module>
> >        print " %s" % (ppa_info["description"] or "")
> > UnicodeEncodeError: 'ascii' codec can't encode chraacters in position
> > 331-332: ordinal not in range(128)
>
> > Any thoughts about what's going on here? I continued with the install
> > using the old, deprecated launchpad repo, and it seemed to go fine.
> > --Joel
>
> This probably means that Python 2.7 is missing or broken, or that the
> LANG* and LC_* environment variables are incorrect.
>
> Assuming a regular US English installation, do this:
>
>    $ sudo -i
>    # locale-gen en_US.UTF-8
>    # apt-get install --reinstall python2.7
>    # apt-get install --reinstall python-software-properties
>    # reboot
>
> and retry the apt-add-repository command.
>
> --
> Darik Horn <dajh... at vanadac.com>



More information about the zfs-discuss mailing list